Runtime

## org.eclipse.gmf.runtime.notation
Interface FilteringStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  ListCompartment, SemanticListCompartment

All Known Implementing Classes:
  FilteringStyleImpl, ListCompartmentImpl, SemanticListCompartmentImpl

    public interface FilteringStyle

extends Style

A representation of the model object 'Filtering Style'.

The filtering style is a style to be installed on nodes representing lists to be filtered

The following features are supported:

- `Filtering`
- `Filtering Keys`
- `Filtered Objects`

See Also:
  `NotationPackage.getFilteringStyle()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList` `getFilteredObjects()` Returns the value of the 'Filtered Objects' reference list.
`Filtering` `getFiltering()` Returns the value of the 'Filtering' attribute.
`java.util.List` `getFilteringKeys()` Returns the value of the 'Filtering Keys' attribute
`void` `setFiltering(Filtering value)` Sets the value of the '`Filtering`' attribute
`void` `setFilteringKeys(java.util.List value)` Sets the value of the '`Filtering Keys`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFiltering

    Filtering getFiltering()

  Returns the value of the 'Filtering' attribute. The default value is `"None"`. The literals are from the enumeration `Filtering`.

  This is the type of filtering applied to the list represented by the node

  Returns:
    the value of the 'Filtering' attribute.
  See Also:
    `Filtering`, `setFiltering(Filtering)`, `NotationPackage.getFilteringStyle_Filtering()`
  ** Generated **
  Model:
    default="None"

### setFiltering

    void setFiltering(Filtering value)

  Sets the value of the '`Filtering`' attribute.

  This is the type of filtering applied to the list represented by the node

  Parameters:
    `value` - the new value of the 'Filtering' attribute.
  See Also:
    `Filtering`, `getFiltering()`
  ** Generated **

### getFilteringKeys

    java.util.List getFilteringKeys()

  Returns the value of the 'Filtering Keys' attribute.

  The property is an unordered list of string keys to filter on. The keys string are user-defined and normally used when the Filtering property is set to Automatic The value is a non-modifiable list of `java.lang.String` objects Any attempt to change the returned list will result in `UnsupportedOperationException` thrown; instead use `setFilteringKeys` to change the list

  Returns:
    the value of the 'Filtering Keys' attribute.
  See Also:
    `setFilteringKeys(List)`, `NotationPackage.getFilteringStyle_FilteringKeys()`
  ** Generated **
    NOT
  Model:
    dataType="org.eclipse.gmf.runtime.notation.FilterKeyList" many="false"

### setFilteringKeys

    void setFilteringKeys(java.util.List value)

  Sets the value of the '`Filtering Keys`' attribute.

  The property is an unordered list of string keys to filter on. The keys string are user-defined and normally used when the Filtering property is set to Automatic The value must be an empty list or one that contains only `java.lang.String` objects

  Parameters:
    `value` - the new value of the 'Filtering Keys' attribute. The value cannot be `null`
  Throws:
    `java.lang.NullPointerException` - if the passed list is `null`
    `java.lang.IllegalArgumentException` - if one or more objects in the passed list is not of type `java.lang.String`
  See Also:
    `getFilteringKeys()`
  ** Generated **
    NOT

### getFilteredObjects

    org.eclipse.emf.common.util.EList getFilteredObjects()

  Returns the value of the 'Filtered Objects' reference list. The list contents are of type `EObject`.

  The property is an unordered list of references to objects be filtered. The property is normally used when the Filtering property is set to Manual

  Returns:
    the value of the 'Filtered Objects' reference list.
  See Also:
    `NotationPackage.getFilteringStyle_FilteredObjects()`
  ** Generated **
  Model:
    type="org.eclipse.emf.ecore.EObject"

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.